Package org.picocontainer.injectors

# Class ParameterNameBinding

java.lang.Object
org.picocontainer.injectors.ParameterNameBinding

All Implemented Interfaces:
  `NameBinding`

public class ParameterNameBinding extends Object implements NameBinding

## Constructor Summary

Constructors
Constructor
Description
`ParameterNameBinding(com.thoughtworks.paranamer.Paranamer paranamer, AccessibleObject member, int index)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParameterNameBinding

public ParameterNameBinding(com.thoughtworks.paranamer.Paranamer paranamer, AccessibleObject member, int index)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `NameBinding`